import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function listPageV2(data) {
  return request({
    url: `/member/list/wait2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/member/list/pageExport',
    data,
    name
  })
}

export function del(params) {
  return request({
    url: `/member/list/wait2/del`,
    method: 'post',
    params
  })
}

export function listImport(data) {
	return handleImport('/member/list/wait2/import', data.formdata, data.id || '')
}
